{
    name: "Dudunsparcite X",
    spritenum: -605,
    megaStone: {
        "Dudunsparce": "Dudunsparce-Mega-X",
        "Dudunsparce-Three-Segment": "Dudunsparce-Mega-X-Three-Segment"
    },
    itemUser: ["Dudunsparce", "Dudunsparce-Three-Segment"],
    onTakeItem(item, source) {
    	return !item.megaStone?.[source.baseSpecies.baseSpecies];
    },
    num: -699,
    gen: 6
}